SDL_CreateGPUTransferBuffer(3)

NAME
SDL_CreateGPUTransferBuffer - Creates a transfer buffer to be used when uploading to or downloading from graphics resources.

HEADER FILE
Defined in SDL3/SDL_gpu.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_GPUTransferBuffer * SDL_CreateGPUTransferBuffer(
    SDL_GPUDevice *device,
    const SDL_GPUTransferBufferCreateInfo *createinfo);

DESCRIPTION
Download buffers can be particularly expensive to create, so it is good practice to reuse them if data will be downloaded regularly.

There are optional properties that can be provided through props . These are the supported properties:

• SDL_PROP_GPU_TRANSFERBUFFER_CREATE_NAME_STRING :
  a name that can be displayed in debugging tools.

FUNCTION PARAMETERS

device
    a GPU Context.

createinfo
    a struct describing the state of the transfer buffer to create.

RETURN VALUE
( SDL_GPUTransferBuffer
 *) Returns a transfer buffer on success, or NULL on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_UploadToGPUBuffer(3), •(3), SDL_DownloadFromGPUBuffer(3), •(3), SDL_UploadToGPUTexture(3), •(3), SDL_DownloadFromGPUTexture(3), •(3), SDL_ReleaseGPUTransferBuffer(3)